\begin{tikzpicture}
\small

\pcmcomponentbody{greenshading}{webui}{WebUI}{}
\pcmlolliwest{greenshading}{webuilolli}{(webui.west)}
\pcmarceast{thick, kit-green100}{webuiarc1}{([yshift=1em]webui.east)}
\pcmarceast{thick, kit-green100}{webuiarc2}{([yshift=-1em]webui.east)}

\pcmcomponentbody{greenshading}{usermgmt}{UserManagement}{[above right=0em and 5em of webui]}
\pcmlolliwest{greenshading}{usermgmtlolli}{(usermgmt.west)}
\pcmarceast{thick, kit-green100}{usermgmtarc1}{(usermgmt.east)}

\pcmcomponentbody{greenshading}{mediamgmt}{MediaManagement}{[below right=0em and 5em of webui]}
\pcmlolliwest{greenshading}{mediamgmtlolli}{(mediamgmt.west)}
\pcmarceast{thick, kit-green100}{mediamgmtarc1}{(mediamgmt.east)}

\pcmcomponentbody{greenshading}{db}{DB}{[right=20em of webui]}
\pcmlolliwest{greenshading}{dblolli}{(db.west)}

\draw[-latex, dashed, thick, black] (webuiarc1) -- (usermgmtlolli);
\draw[-latex, dashed, thick, black] (webuiarc2) -- (mediamgmtlolli);

\draw[-latex, dashed, thick, black] (usermgmtarc1) -- (dblolli);
\draw[-latex, dashed, thick, black] (mediamgmtarc1) -- (dblolli);

\begin{pgfonlayer}{u1}
\node[lightgreyshading, fit=(webuilolli)(webui)(usermgmt)(mediamgmt)(db), inner ysep=2.5em, inner xsep=2em] (frame) {};
\end{pgfonlayer}

\node[anchor=north west] (label) at (frame.north west) {«System» Media Store};
\draw[thick, gray] (label.south west) -- (label.south east) -- ++ (.7em,.7em) -- ([xshift=.7em]label.north east);

\pcmlolliwest{lightgreyshading}{systemlolli}{(frame.west)}
\draw[-latex, dashed, thick, black] (frame.west) -- (webuilolli);

\end{tikzpicture}